OpenAPI-Client-OpenAI/lib/OpenAPI/Client/OpenAI/Path/images-edits.pod
=encoding utf8
=head1 NAME
OpenAPI::Client::OpenAI::Path::images-edits - Documentation for the /images/edits path.
=head1 DESCRIPTION
This document describes the API endpoint at C</images/edits>.
=head1 PATHS
=head2 C<POST /images/edits>
Create image edit
Creates an edited or extended image given one or more source images and a prompt. This endpoint only supports C<gpt-image-1> and C<dall-e-2>.
=head3 Operation ID
C<createImageEdit>
$client->createImageEdit( ... );
=head3 Parameters
=over 4
=back
=head3 Request Body
=head3 Content Type: C<multipart/form-data>
=head4 Models
The model to use for image generation. Only C<dall-e-2> and C<gpt-image-1> are supported. Defaults to C<dall-e-2> unless a parameter specific to C<gpt-image-1> is used.
=over 4
=item * C<dall-e-2>
=item * C<gpt-image-1>
=back
Example:
{
"background" : "transparent",
"n" : 1,
"output_compression" : 100,
"output_format" : "png",
"partial_images" : 1,
"prompt" : "A cute baby sea otter wearing a beret",
"quality" : "high",
"response_format" : "url",
"size" : "1024x1024",
"stream" : false,
"user" : "user-1234"
}
=head3 Responses
=head4 Status Code: C<200>
OK
=head4 Content Types:
=over 4
=item * C<application/json>
Example (See the L<OpenAI spec for more detail|https://github.com/openai/openai-openapi/blob/master/openapi.yaml>):
{
"created": 1713833628,
"data": [
{
"b64_json": "..."
}
],
"background": "transparent",
"output_format": "png",
"size": "1024x1024",
"quality": "high",
"usage": {
"total_tokens": 100,
"input_tokens": 50,
"output_tokens": 50,
"input_tokens_details": {
"text_tokens": 10,
"image_tokens": 40
}
}
}
=item * C<text/event-stream>
Example (See the L<OpenAI spec for more detail|https://github.com/openai/openai-openapi/blob/master/openapi.yaml>):
=back
=head1 SEE ALSO
L<OpenAPI::Client::OpenAI::Path>
=head1 COPYRIGHT AND LICENSE
Copyright (C) 2023-2025 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.14.0 or,
at your option, any later version of Perl 5 you may have available.
=cut